import os
from setuptools import setup


README = open(os.path.join(os.path.dirname(__file__), 'README.rst')).read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name = 'Django-NMSU-Templates', 
    version = '2', 
    packages = ['nmsu_templates'], 
    include_package_data = True, 
    install_requires = ['Django < 1.9'], 
    license = 'BSD License', 
    description = 'Provides base NMSU templates for a Django Project.', 
    long_description = README,
    url = 'http://weather.nmsu.edu/',
    author = 'Stanley Engle',
    author_email = 'sengle@nmsu.edu',
    classifiers = [
            'Environment :: Web Environment',
            'Framework :: Django',
            'Intended Audience :: Developers',
            'License :: OSI Approved :: BSD License', 
            'Operating System :: OS Independent',
            'Programming Language :: Python',
            'Programming Language :: Python :: 2.7',
            'Topic :: Internet :: WWW/HTTP',
            'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)


